# https://files.pythonhosted.org/packages/c3/4d/d4089e1a3dd25b46bebdb55a992b0797cff657b4477bc32ce28038fdecbc/anyjson-0.3.3.tar.gz
%define	module anyjson

Name:		        python-%{module}
Version:	      0.3.3
Release:	      %mkrel 3
Summary:        Python wrapper for JSON implementations

License:	      BSD
Group:		      Development/Python
Url:		        http://bitbucket.org/runeh/anyjson
Source0:        %{module}-%{version}.tar.xz

BuildArch:	    noarch
Recommends:     python-json, python-cjson, python-simplejson
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Anyjson loads whichever is the fastest JSON module installed and provides
a uniform API regardless of which JSON implementation is used.
Originally part of carrot (http://github.com/ask/carrot/)

%package -n python3-%{module}
Summary:	Wraps the best available JSON implementation available
Group:		Development/Python

%description -n python3-%{module}
Anyjson loads whichever is the fastest JSON module installed and
provides a uniform API regardless of which JSON implementation is used.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd

%files
%doc CHANGELOG LICENSE README
%{python2_sitelib}/*

%files -n python3-%{module}
%doc CHANGELOG LICENSE README
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 0.3.3-3pclos2022
- rebuild against updates

* Wed Apr 18 2018 marcin82 <fixxer1982 at gmail.com> 0.3.3-2pclos2018
- rebuild with python 3.6.5

* Mon Sep 07 2015 bb <bb> 0.3.3-1pclos2015
- import for blink
